%undefine __libtoolize
%define _optlevel s
%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define unstable 0

%define qtdir %_qt3dir
%define kdedir %prefix
%add_findprov_lib_path %_libkde
# textrel
%add_verify_elf_skiplist %_libdir/libkommanderwidgets.so*

Name: kdewebdev
Version: 3.5.9
Release: alt0.M40.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - web development programs
License: GPL
URL: http://www.kde.org

Requires: %name-kimagemapeditor = %version-%release
Requires: %name-klinkstatus = %version-%release
Requires: %name-kommander = %version-%release
Requires: %name-kxsldbg = %version-%release
Requires: %name-quanta = %version-%release
Requires: %name-kfilereplace = %version-%release


Source: %name-%version.tar
#Source: kdewebdev-3.0.98.tar
Source10: css.tar
Source11: html.tar
Source12: javascript.tar
Source13: php.tar
Source14: mysql-20030405.tar
Source15: mysql5-quanta-doc-20051117.tar


Patch1: 3.2.0-flags.patch
Patch2: kommander-3.5.9-fix-linking.patch
Patch3: kxsldbg-3.5.0-fix-linking.patch
Patch4: quanta-3.5.0-fix-linking.patch
Patch5: quanta-3.5.0-no-la.patch

# security
# end security

# Automatically added by buildreq on Thu Oct 07 2004 (-bi)
#BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libbfd-devel libgpg-error libjpeg-devel libpng-devel libqt3-devel libstdc++-devel libxml2-devel libxslt-devel menu-devel python-base python-modules-compiler python-modules-encodings qt3-designer rpm-build-python xml-utils xorg-x11-devel xorg-x11-libs zlib-devel
BuildRequires: fontconfig freetype2 gcc-c++ xorg-x11-devel
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libxml2-devel libxslt-devel
BuildRequires: menu-devel qt3-designer rpm-build-python xml-utils
BuildRequires: zlib-devel libacl-devel libattr-devel
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= %version kdelibs-devel >= %version

%description
K Desktop Environment - web development programs

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: quanta < 3.3.0-alt0.1
#
%description common
Common empty package for %name

%package klinkstatus
Summary: Link checker for KDE
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description klinkstatus
KLinkStatus is a link checker for KDE.
It allows you to search internal and external links in your entire web site,
just a single page and choose the depth to search.
You can also check local files, ftp, fish, etc, as KLinkStatus uses KIO.
For performance, links can be checked simultaneously.

%package kimagemapeditor
Summary: An HTML image map editor
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description kimagemapeditor
An HTML image map editor

%package kfilereplace
Summary: Replacing strings over multiple files
Group: Text tools
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: kfilereplace = %version-%release
Obsoletes: kfilereplace < %version-%release
%description kfilereplace
KFileReplace is a terrific new addition to QuantaPlus. It allows one to
quickly replace strings over multiple files in only a few clicks of the
mouse.

%package kommander
Summary: Set of tools to create dynamic GUI
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description kommander
Kommander is a set of tools that allow you to create dynamic GUI

%package kxsldbg
Summary: GUI front-end to xsldbg
Group: Development/Debuggers
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#Provides: libxsldbg = %version-%release
#Obsoletes: libxsldbg <= %version-%release
Conflicts: xsldbg
%description kxsldbg
%name-kxsldbg package provides a graphic user interface front-end to
xsldbg which supports debugging of XSLT scripts.

%package quanta
Summary: Web IDE
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: tidy
Requires: %name-common = %version-%release
Provides: quanta = %version-%release
Obsoletes: quanta <= %version-%release
%description quanta
QuantaPlus is a Web IDE that strives to be neutral and
transparent to all markup languages, while supporting popular
web-based scripting languages, CSS, and other emerging W3C
recommendations.

%prep
%setup -q
#%setup -q -nkdewebdev-3.0.98
###%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

mkdir quanta-doc
pushd quanta-doc
for f in %SOURCE10 %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE14 %SOURCE15
do
    tar xf $f
done
for d in ./*; do mv $d $d.old; done
for d in ./*.old; do mv $d/* ./; done
rm -rf ./*.old
rm -rf ./install.sh
popd

%if %_keep_libtool_files
for f in `find $PWD -type f -name Makefile.am`
do
    grep -q LDFLAGS $f || continue
    RPATH_LINK_OPTS="$RPATH_LINK_OPTS -Wl,-rpath-link,`dirname $f`/.libs"
done
sed -i "s|\(-Wl,--as-needed\)| $RPATH_LINK_OPTS \1|g" admin/acinclude.m4.in
%else
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s|-Wl,--no-undefined|-Wl,--allow-shlib-undefined|g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%kdedir

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
    --enable-new-ldflags \
    --enable-pch \
    --enable-dependency-tracking \
    --with-gnu-ld \
    --with-pic \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --with-xinerama \
    --program-transform-name=""
#    --enable-gcc-hidden-visibility \

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build install DESTDIR=%buildroot

chmod 0644 %buildroot/%_libdir/*.la ||:
chmod 0644 %buildroot/%_libkde/*.la ||:

# install quanta docs
pushd quanta-doc
    cp -r * %buildroot/%kdedir/share/apps/quanta/doc
popd
rm -f %buildroot/%kdedir/share/apps/quanta/doc/install.sh		


%post klinkstatus
%update_menus
%postun klinkstatus
%clean_menus

%post quanta
%update_menus
%postun quanta
%clean_menus

%post kxsldbg
%update_menus
%postun kxsldbg
%clean_menus

%post kimagemapeditor
%update_menus
%postun kimagemapeditor
%clean_menus

%post kommander
%update_menus
%postun kommander
%clean_menus

%post kfilereplace
%update_menus
%postun kfilereplace
%clean_menus


%files
%files common

%files klinkstatus
%_bindir/klinkstatus
%_Klibdir/libklinkstatuspart.so*
%_Kapps/klinkstatus/
%_Kapps/klinkstatuspart/
%_Kservices/klinkstatus_part.desktop
%_iconsdir/*/*/apps/klinkstatus.*
%doc %_docdir/HTML/en/klinkstatus/
%_Kmenudir/klinkstatus.desktop
%_iconsdir/*/*/actions/bug.png

%files kimagemapeditor
%_bindir/kimagemapeditor
%_Klibdir/libkimagemapeditor.so*
%_Kapps/kimagemapeditor
%_Kservices/kimagemapeditorpart.desktop
%_iconsdir/*/*/apps/kimagemapeditor.*
%_Kmenudir/kimagemapeditor.desktop

%files kommander
%doc %_docdir/HTML/en/kommander/
%_bindir/kmdr-*
%_libdir/libkommanderplugin.so*
%_libdir/libkommanderwidget.so*
%_libdir/libkommanderwidgets.so*
%_Klibdir/libkommander_part.so*
%_Kapps/kmdr-editor
%_Kapps/kommander/
%_Kapps/katepart/syntax/kommander.xml
%_Kmimelnk/application/x-kommander.desktop
%_Kapplnk/.hidden/kmdr-executor.desktop
%_Kmenudir/kmdr-editor.desktop
%_Kapps/katepart/syntax/kommander-new.xml
%_Kapps/kdevappwizard/kommanderplugin.*
%_Kapps/kdevappwizard/templates/kommanderplugin.*
%_Kservices/kommander_part.desktop
%_iconsdir/*/*/apps/kommander.*
#
%if %_keep_libtool_files
%_libdir/libkommanderplugin.la
%_libdir/libkommanderwidget.la
%_libdir/libkommanderwidgets.la
%endif
#
%_includedir/kommander*.h
%_includedir/specials.h
					

%files kxsldbg
%_bindir/kxsldbg
%_bindir/xsldbg
#usr/include/kde/kxsldbg_partif.h
#usr/include/kde/kxsldbgif.h
#%_libdir/libqtnotfier.so*
#%_libdir/libxsldbg.so*
%_Klibdir/libkxsldbgpart.so*
%_Kapps/kxsldbg
%_Kapps/kxsldbgpart
%doc %_docdir/HTML/en/kxsldbg
%_iconsdir/*/*/actions/xsldbg_*.png
%_iconsdir/*/*/actions/1downarrow.png
%_iconsdir/*/*/actions/configure.png
%_iconsdir/*/*/actions/exit.png
%_iconsdir/*/*/actions/hash.png
%_iconsdir/*/*/actions/mark.png
%_iconsdir/*/*/actions/next.png
%_iconsdir/*/*/actions/run.png
%_iconsdir/*/*/actions/step.png
%_Kservices/kxsldbg_part.desktop
%doc %_docdir/HTML/en/xsldbg/
%_Kmenudir/kxsldbg.desktop

%files quanta
%_bindir/quanta
%_Klibdir/quantadebugger*.so*
%_Kapps/kafkapart
%_Kapps/quanta
#%_Kapps/templates/text/scripts/demo.php
%_Kmimelnk/application/x-webprj.desktop
%_Kservices/quanta_preview_config.desktop
%_Kservices/quantadebugger*.desktop
%_Kservicetypes/quantadebugger.desktop
%_iconsdir/*/*/apps/quanta.png
%doc %_docdir/HTML/en/quanta
%_Kmenudir/quanta.desktop

%files kfilereplace
%_bindir/kfilereplace
%_Klibdir/libkfilereplacepart.so*
%_Kapps/kfilereplace
%_Kapps/kfilereplacepart
%_Kservices/kfilereplacepart.desktop
%_iconsdir/*/*/apps/kfilereplace.*
%doc %_docdir/HTML/en/kfilereplace/
%_Kmenudir/kfilereplace.desktop

%changelog
* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.9-alt0.M40.1
- built for M40

* Tue Feb 26 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.9-alt1
- new version

* Thu Oct 18 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt1
- new version

* Thu May 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- new version

* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt1
- new version

* Thu Oct 19 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt1
- new version

* Tue Sep 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt1
- new version

* Wed Jun 07 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.3-alt1
- new version

* Wed Apr 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.2-alt1
- new version

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.1-alt1
- new version

* Mon Dec 12 2005 Sergey V Turchin <zerg at altlinux dot org> 3.5.0-alt1
- new version
- update quanta docs

* Wed Jun 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- new version

* Mon May 23 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt2
- add patch for kommander

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt2
- rebuild with gcc3.4

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version
- add css,html,javascript,php,mysql docs for quanta

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Tue Oct 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- initial spec
